package com.zd.laboratory.domain.dto;

import com.zd.common.core.web.domain.BaseEntity;
import com.zd.laboratory.domain.LabRiskPlanjoinsub;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class LabRiskPlanDTO extends BaseEntity {
    @ApiModelProperty(value = "预案id")
    private Long id;

    @ApiModelProperty(value = "危化品id")
    private Long hazardId;

    @ApiModelProperty(value = "压力容器id")
    private Long containerId;

    /**
     * 1 危化品， 2 压力容器
     */
    @ApiModelProperty(value = "危险源类型")
    private Integer type;

    @ApiModelProperty(value = "预案名称")
    private String name;

    @ApiModelProperty(value = "预案说明")
    private String remark;

    /**
     * 预案启动占比：发生事故次数/该危险源涉及事故次数
     */
    @ApiModelProperty(value = "预案启动占比")
    private Integer startUpScale = 0;

    /**
     * 分配实验室占比为：所有分配了危险源的房间数/该危险源分配的房间数
     */
    @ApiModelProperty(value = "分配实验室占比")
    private Integer labDisScale = 0;

    /**
     * 实验室传感器字段拼接
     */
    @ApiModelProperty(value = "实验室传感器字段拼接")
    private String funNum;

    /**
     * 传感器区间值
     */
    @ApiModelProperty(value = "传感器区间值")
    private String funMonitor;

    /**
     * 创建人名称
     */
    @ApiModelProperty(value = "创建人名称")
    private String createName;

    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    private String beginTime;

    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    private String endTime;

    /**
     *  预案关联的实验室
     */
    @ApiModelProperty(value = "结束时间")
    List <LabRiskPlanjoinsub> labRiskPlanjoinsubList;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getHazardId() {
        return hazardId;
    }

    public void setHazardId(Long hazardId) {
        this.hazardId = hazardId;
    }

    public Long getContainerId() {
        return containerId;
    }

    public void setContainerId(Long containerId) {
        this.containerId = containerId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getStartUpScale() {
        return startUpScale;
    }

    public void setStartUpScale(Integer startUpScale) {
        this.startUpScale = startUpScale;
    }

    public Integer getLabDisScale() {
        return labDisScale;
    }

    public void setLabDisScale(Integer labDisScale) {
        this.labDisScale = labDisScale;
    }

    public String getFunNum() {
        return funNum;
    }

    public void setFunNum(String funNum) {
        this.funNum = funNum;
    }

    public String getFunMonitor() {
        return funMonitor;
    }

    public void setFunMonitor(String funMonitor) {
        this.funMonitor = funMonitor;
    }

    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public List <LabRiskPlanjoinsub> getLabRiskPlanjoinsubList() {
        return labRiskPlanjoinsubList;
    }

    public void setLabRiskPlanjoinsubList(List <LabRiskPlanjoinsub> labRiskPlanjoinsubList) {
        this.labRiskPlanjoinsubList = labRiskPlanjoinsubList;
    }
}
